1.6releasedMarkdown Guide

Provides markdown text formatter syntax explanation

Clone URLhttps://github.com/stuartgpalmer/markdown_guide.git

Add as a submodulegit submodule add https://github.com/stuartgpalmer/markdown_guide.git extensions/markdown_guide --recursive

Compatibility

2.x.x2.1.x2.2.x2.3.x2.4.x2.5.x2.6.x2.7.0
No1.51.51.51.61.6NoNo

Readme

Markdown Guide Extension

  • Version: 1.6
  • Author: Stuart Palmer, Carson Sasser
  • Build Date: 11 November 2014
  • Requirements: Tested on Symphony CMS version 2.5+. Requires version 1.11 of the Markdown Text Formatter extension.

Installation

  1. Install the files and assets directory in a folder named 'markdown_guide' inside your Symphony 'extensions' folder.

  2. Enable it by selecting Markdown Guide in the System -> Extensions menu, choose Enable from the with-selected menu, and then click Apply.

  3. Now a button for showing the condensed guide will appear below any textarea field that uses one of the markdown text formatter options.

TODO

  • Add additional styling when I figure out why the styling interferes with the operation of the show-hide toggle.

Change Log

Version 1.6 - 11 November 2014

  • Add XML meta file

Version 1.5 - 17 January 2012

  • Corrected a typographical error found by Martin Janiczek

Version 1.4 - 24 February 2011

  • Added a Purtugese translation dictionary file contributed by Marcio Toledo (marciotoledo).

Version 1.3 - 28 September 2010

  • Added localisation feature built by Nils Werner (phoque). Currently includes only a German translation dictionary file.

Version 1.2 - 26 July 2010

  • Added a little styling to the guide as suggested by Josh Nichols (MrBlank)

Version 1.1 - 7 June 2010

  • Updated for compatibility with Version 1.11 of the Markdown Text Formatter extension. It will not work with earlier versions.
  • Incorporated changes suggested by John Porter (designermonkey)
  • Incorporated changes suggested by Guillem Lorman (guillem_l)

Version 1.0 - 22 April 2010

  • Initial Release

Version history

Symphony 2.4 to 2.5.2

  • Compatibility with Symphony 2.4+

Symphony 2.1 to 2.3